<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::mediaPlayer::android::test::WaitEvent Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html">mediaPlayer</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html">android</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_wait_event.html">WaitEvent</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_wait_event-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::mediaPlayer::android::test::WaitEvent Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class that can be used to wait for an event.  
 <a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_wait_event.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab04fc6d4af759016e0b7f1a1909f4a38"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_wait_event.html#ab04fc6d4af759016e0b7f1a1909f4a38">wakeUp</a> ()</td></tr>
<tr class="memdesc:ab04fc6d4af759016e0b7f1a1909f4a38"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wake up a thread that is waiting for this event.  <a href="#ab04fc6d4af759016e0b7f1a1909f4a38">More...</a><br /></td></tr>
<tr class="separator:ab04fc6d4af759016e0b7f1a1909f4a38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a631e91e02448aaaf970a01d340e05777"><td class="memItemLeft" align="right" valign="top">std::cv_status&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_wait_event.html#a631e91e02448aaaf970a01d340e05777">wait</a> (const std::chrono::milliseconds &amp;timeout=<a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_wait_event.html#a79ea109d4ef3dd415f10f3508fdc1376">DEFAULT_TIMEOUT</a>)</td></tr>
<tr class="separator:a631e91e02448aaaf970a01d340e05777"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a79ea109d4ef3dd415f10f3508fdc1376"><td class="memItemLeft" align="right" valign="top">static const std::chrono::seconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_wait_event.html#a79ea109d4ef3dd415f10f3508fdc1376">DEFAULT_TIMEOUT</a> {5}</td></tr>
<tr class="memdesc:a79ea109d4ef3dd415f10f3508fdc1376"><td class="mdescLeft">&#160;</td><td class="mdescRight">The default timeout for an expected event.  <a href="#a79ea109d4ef3dd415f10f3508fdc1376">More...</a><br /></td></tr>
<tr class="separator:a79ea109d4ef3dd415f10f3508fdc1376"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Class that can be used to wait for an event. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a631e91e02448aaaf970a01d340e05777"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a631e91e02448aaaf970a01d340e05777">&#9670;&nbsp;</a></span>wait()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::cv_status alexaClientSDK::mediaPlayer::android::test::WaitEvent::wait </td>
          <td>(</td>
          <td class="paramtype">const std::chrono::milliseconds &amp;&#160;</td>
          <td class="paramname"><em>timeout</em> = <code><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_wait_event.html#a79ea109d4ef3dd415f10f3508fdc1376">DEFAULT_TIMEOUT</a></code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Wait for wake up event.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout</td><td>The maximum amount of time to wait for the event. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ab04fc6d4af759016e0b7f1a1909f4a38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab04fc6d4af759016e0b7f1a1909f4a38">&#9670;&nbsp;</a></span>wakeUp()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::mediaPlayer::android::test::WaitEvent::wakeUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Wake up a thread that is waiting for this event. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a79ea109d4ef3dd415f10f3508fdc1376"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79ea109d4ef3dd415f10f3508fdc1376">&#9670;&nbsp;</a></span>DEFAULT_TIMEOUT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::chrono::seconds alexaClientSDK::mediaPlayer::android::test::WaitEvent::DEFAULT_TIMEOUT {5}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The default timeout for an expected event. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/MediaPlayer/AndroidSLESMediaPlayer/test/<a class="el" href="_android_s_l_e_s_media_player_test_8cpp.html">AndroidSLESMediaPlayerTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
